/* DragImageView */

#import <Cocoa/Cocoa.h>

@interface XLDDragImageView : NSImageView
{
	NSData *imgData;
	BOOL acceptDrag;
	IBOutlet id delegate;
	BOOL autoResize;
}

- (void)clearData;
- (NSData *)imgData;
- (void)setAcceptDrag:(BOOL)flag;
- (void)setImageWithResize:(NSImage *)img;
- (void)setAutoResize:(BOOL)flag;
@end